security:
    role_hierarchy:
        ROLE_GENERAL_CONFIG:
          - ROLE_GENERAL_CONFIG_VIEW
          - ROLE_PLACE
          - ROLE_ORGANIZATION
          - ROLE_ORGANIZATION_VIEW
          - ROLE_ACTIVITY
          - ROLE_FILE

        ROLE_GENERAL_CONFIG_VIEW:
          - ROLE_PLACE_VIEW
          - ROLE_ORGANIZATION_VIEW
          - ROLE_ACTIVITY_VIEW

        ROLE_PLACE_VIEW:
          - ROLE_PLACE_REFERENCE

        ROLE_PLACE_REFERENCE:
          - ROLE_ACCESS_REFERENCE
          - ROLE_EQUIPMENT_REFERENCE

        ROLE_ORGANIZATION_VIEW:
          - ROLE_ORGANIZATION_REFERENCE

        ROLE_NETWORK:
          - ROLE_NETWORK_VIEW

        ROLE_NETWORK_VIEW:
          - ROLE_ORGANIZATION_VIEW

        ROLE_ORGANIZATION_REFERENCE:
          - ROLE_ACCESS_REFERENCE

        ROLE_ACTIVITY_VIEW:
          - ROLE_ACTIVITY-TYPE_VIEW
          - ROLE_ACTIVITY_REFERENCE